/* ------------------------------------------------------------------
  Main LWA Styles
 ------------------------------------------------------------------- */
/* stylelint-disable scss/comment-no-empty */
.lwa-default .lwa-status::before {
  -webkit-clip-path: polygon(0 0, calc(100% - 2px) 0, 100% 100%, 0 100%);
          clip-path: polygon(0 0, calc(100% - 2px) 0, 100% 100%, 0 100%);
  position: absolute;
  top: -5px;
  bottom: 5px;
  left: 0;
  width: var(--wld--alert--border-width);
  content: "";
  background-color: var(--wld--alert--color);
}

.lwa-default .lwa-status-invalid {
  --wld--alert--color: var(--wld--alert-danger--border-color);
}

.lwa-default .lwa-status-confirm {
  --wld--alert--color: var(--wld--alert-success--border-color);
}

.lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):hover, .lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):focus {
  color: var(--wld--button-hover--color);
  background-color: var(--wld--button-hover--background-color);
}

.lwa-default .lwa-submit-button button {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: var(--wld--button--padding-v) var(--wld--button--padding-h);
  font-size: var(--wld--button--font-size);
  font-weight: var(--wld--font-weight--regular);
  line-height: var(--wld--line-height--tiny);
  color: var(--wld--button--color);
  text-align: center;
  text-transform: uppercase;
  background-color: var(--wld--button--background-color);
  border: 0;
  border-radius: var(--wld-border-radius);
  -webkit-box-shadow: none;
          box-shadow: none;
  -webkit-transition: background-color var(--wld-transition-duration) var(--wld-transition-easing), color var(--wld-transition-duration) var(--wld-transition-easing), -webkit-transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
  transition: background-color var(--wld-transition-duration) var(--wld-transition-easing), color var(--wld-transition-duration) var(--wld-transition-easing), -webkit-transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
  -o-transition: background-color var(--wld-transition-duration) var(--wld-transition-easing), color var(--wld-transition-duration) var(--wld-transition-easing), transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
  transition: background-color var(--wld-transition-duration) var(--wld-transition-easing), color var(--wld-transition-duration) var(--wld-transition-easing), transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
  transition: background-color var(--wld-transition-duration) var(--wld-transition-easing), color var(--wld-transition-duration) var(--wld-transition-easing), transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1), -webkit-transform 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
}
.lwa-default .lwa-submit-button button.disabled, .lwa-default .lwa-submit-button button:disabled {
  cursor: not-allowed;
  opacity: 0.5;
}
.lwa-default .lwa-submit-button button:focus:not(:focus-visible) {
  outline: none;
}

.lwa-default .lwa-submit-button button {
  --wld--button--padding-v: var(--wld--button-md--padding-v);
  --wld--button--padding-h: var(--wld--button-md--padding-h);
  --wld--button--font-size: var(--wld--button-md--font-size);
}

.lwa-default .lwa-submit-button button {
  --wld--btn--before--background-color: var(--wld--button--background-color);
  --wld--btn-hover--before--background-color: var(--wld--button-hover--background-color);
  z-index: 1;
}
.lwa-default .lwa-submit-button button::before, .lwa-default .lwa-submit-button button::after {
  -webkit-clip-path: polygon(0 var(--wld--button--skew), 100% 0, calc(100% - var(--wld--button--skew)) 100%, 0 calc(100% - var(--wld--button--skew)));
          clip-path: polygon(0 var(--wld--button--skew), 100% 0, calc(100% - var(--wld--button--skew)) 100%, 0 calc(100% - var(--wld--button--skew)));
  position: absolute;
  z-index: -1;
  display: block;
  content: "";
  background-color: var(--wld--btn--before--background-color);
  -webkit-transition: inherit;
  -o-transition: inherit;
  transition: inherit;
}
.lwa-default .lwa-submit-button button::before {
  top: 10px;
  right: -5px;
  bottom: -6px;
  left: 11px;
  -webkit-filter: hue-rotate(-10deg) brightness(0.8) contrast(1.6);
          filter: hue-rotate(-10deg) brightness(0.8) contrast(1.6);
}
.lwa-default .lwa-submit-button button::after {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):hover::before, .lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):hover::after, .lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):focus::before, .lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):focus::after {
  background-color: var(--wld--btn-hover--before--background-color);
}

.lwa-default .lwa-submit-button button {
  --wld--button--color: hsl(var(--wld-color-black));
  --wld--button--background-color: var(--wld-color-brand-2);
}

.lwa-default .lwa-submit-button button {
  --wld--button-hover--color: hsl(var(--wld-color-white));
  --wld--button-hover--background-color: hsl(var(--wld-color-dark));
}

/* stylelint-disable-next-line no-duplicate-selectors */
.lwa-default .lwa-submit-button button {
  background-color: transparent;
}
.lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):hover, .lwa-default .lwa-submit-button button:not([disabled]):not(.disabled):focus {
  background-color: transparent;
}

.lwa-wrapper {
  width: 100%;
}

.lwa-default .lwa-form {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: var(--wld--vertical-rhythm) 0;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  background-color: hsl(var(--wld-color-background));
}
@media (min-width: 572px) {
  .lwa-default .lwa-form {
    -webkit-clip-path: polygon(10px 0, 100% 10px, 100% calc(100% - 10px), 0 100%);
            clip-path: polygon(10px 0, 100% 10px, 100% calc(100% - 10px), 0 100%);
    width: 460px;
    padding: 70px 60px;
    margin-right: auto;
    margin-left: auto;
  }
}
@media (max-width: 571.98px) {
  .lwa-default .lwa-form {
    padding: 50px var(--wld--container--padding);
    margin: 0 calc(var(--wld--container--padding) / -1);
  }
}
.lwa-default .lwa-form h3 {
  margin-top: 0;
  margin-bottom: var(--wld--vertical-rhythm--medium);
  text-align: center;
}
.lwa-default .lwa-login_form:empty {
  display: none;
}
.lwa-default .lwa-submit {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
}
.lwa-default .lwa-submit-button button {
  width: 100%;
}
.lwa-default .lwa-links-register-inline {
  -ms-flex-item-align: center;
      align-self: center;
  margin-top: var(--wld--vertical-rhythm);
}
.lwa-default .lwa-links-register-inline:hover, .lwa-default .lwa-links-register-inline:focus {
  color: var(--wld-color-brand);
}
.lwa-default .lwa-links {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: var(--wld--vertical-rhythm--medium) var(--wld--spacing--small);
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  margin-bottom: var(--wld--vertical-rhythm);
}
@media (max-width: 571.98px) {
  .lwa-default .lwa-links {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
  }
}
.lwa-default .lwa-links > p {
  margin-bottom: 0;
}
.lwa-default .lwa-links > p,
.lwa-default .lwa-links > .lwa-links-remember {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  max-width: 100%;
}
.lwa-default .lwa-links-remember {
  font-size: var(--wld--font-size--medium);
  font-weight: var(--wld--font-weight--medium);
  color: hsl(var(--wld-color-text));
}
.lwa-default .lwa-links-remember:hover, .lwa-default .lwa-links-remember:focus {
  color: var(--wld-color-brand);
}
.lwa-default.lwa form.lwa-form span.lwa-status {
  padding: var(--wld--alert--padding-v) var(--wld--alert--padding-h) !important;
  margin-bottom: 40px !important;
  color: hsl(var(--wld--color--text)) !important;
  background-color: var(--wld--alert--background-color) !important;
  border: 0 !important;
  border-radius: var(--wld--alert--border-radius) !important;
}
.lwa-default .lwa-status {
  position: relative;
  overflow: hidden;
  font-size: var(--wld--font-size--medium);
}